﻿using FluentFTP;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            using(FtpClient client = new FtpClient("127.0.0.1", 21, "userID", "password"))
            {
                client.RetryAttempts = 3;

                client.Connect();

                client.UploadFile("d:\\sample.txt", "/temp/sample.txt", FtpRemoteExists.Overwrite, true);

                client.DownloadFile("d:\\sample_copy.txt", "/temp/sample.txt", FtpLocalExists.Overwrite);
            }
        }

        #endregion
    }
}